LibreOffice LibreOffice 25.8 SDK API Reference

Exported Interfaces | List of all members
OleDragSource Service Referencepublished

This service connects the Java-like UNO drag and drop protocol to the protocol used on window platforms. More...

`import"OleDragSource.idl";`

Inheritance diagram for OleDragSource:

## Exported Interfaces
interface | XDragSource
| Used to provide data to other applications via the Ole Drag & Drop protocol. More...
interface | com::sun::star::lang::XInitialization
| The service expects a byte sequence uniquely identifying the machine as the first, and only, parameter. More...
interface | com::sun::star::lang::XComponent
| For shutdown and listener support. More...

## Additional Inherited Members
Public Member Functions inherited from XDragSource
boolean | isDragImageSupported ()
| In order to query if drag image support is available. More...
long | getDefaultCursor ([in] byte dragAction) raises ( com::sun::star::lang::IllegalArgumentException )
| To get the default cursor for a specified drag action. More...
void | startDrag ([in] DragGestureEvent trigger, [in] byte sourceActions, [in] long cursor, [in] long image, [in] com::sun::star::datatransfer::XTransferable trans, [in] XDragSourceListener listener)
| Starts the drag operation. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...

## Detailed Description

This service connects the Java-like UNO drag and drop protocol to the protocol used on window platforms.

It realized the drag source.

See also
  XDragSource

## Exported Interfaces

## ◆ com::sun::star::lang::XComponent

interface com::sun::star::lang::XComponent

For shutdown and listener support.

## ◆ com::sun::star::lang::XInitialization

interface com::sun::star::lang::XInitialization

The service expects a byte sequence uniquely identifying the machine as the first, and only, parameter.

This identifier should be checked to ensure that the window ids used for creating DropTargets are valid for the service, that is, come from the same machine.

TODO: specify how such a machine id should look like.

The second parameter is a window handle of the native windows window. It is passed as an unsigned long.

## ◆ XDragSource

interface XDragSource

Used to provide data to other applications via the Ole Drag & Drop protocol.

The documentation for this service was generated from the following file:

- com/sun/star/datatransfer/dnd/OleDragSource.idl